Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

Can someone help explain the FreeBSD support policy? I'm looking at http://security.freebsd.org/#sup , which says:

Branch      Release         Type        Release Date        Estimated EoL
RELENG_6    n/a             n/a         n/a                 November 30, 2010
RELENG_6_4  6.4-RELEASE     Extended    November 28, 2008   November 30, 2010
RELENG_7    n/a             n/a         n/a                 last release + 2 years
RELENG_7_1  7.1-RELEASE     Extended    January 4, 2009     January 31, 2011
RELENG_7_3  7.3-RELEASE     Extended    March 23, 2010      March 31, 2012
RELENG_8    n/a             n/a         n/a                 last release + 2 years
RELENG_8_0  8.0-RELEASE     Normal      November 25, 2009   November 30, 2010
RELENG_8_1  8.1-RELEASE     Extended    July 23, 2010       July 31, 2012

We haven't decided between FreeBSD 7.x and FreeBSD 8.x yet. We want to go with a FreeBSD branch which is supported for a while.

Which release will be supported for longer? RELENG_7, or RELENG_7_3 ? RELENG_7 says "last release", which is a big ambiguous.

share|improve this question
add comment

3 Answers 3

It's difficult to know exactly how long a branch (RELENG_X) will be supported since FreeBSD does not have a fixed release schedule.

As you can see from your chart, FreeBSD branches are supported for 2 years from the last release. What this means is that since there is an expected 7.4 release, the FreeBSD 7 branch will supported for two years past whatever the release date of 7.4 is. So, in this case you will have until at least August 31, 2012 on branch RELENG_7 (if it were to be released right now–I don't think it will be but that's the math).

share|improve this answer
add comment

The RELENG_N branch will always be supported longer than RELENG_(N-1) branch.

The more important question is "Should I install a N.0 release or do you wait for N.1?"

Since FreeBSD 8 is already at 8.1 I would recommend 8.1 for any new installs unless you have a specific reason for not wanting the latest version.

To answer your specific question: RELENG_7 will be supported at least as long as RELENG_7_3 but if RELENG_7_4 is released then RELENG_7 will be support as long as 7_4.

share|improve this answer
add comment

I'd say 8.0 is more likely to be longer supported. Usually the previous branch contains mostly fixes and most heavy support goes to new branch. The only exceptions may be releases that are big failures and in such cases 8.0 could get 'forgotten'. But it is rather rare case.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.